Retrieve available routes for transfers
Returns available routes based on specified parameters.
Legacy: The /available-routes API is no longer actively maintained. New integrations should use the Swap API instead.
Authorization
bearerAuth API key for authentication.
In: header
Query Parameters
Chain ID of the originating chain.
1 <= value1 | 10 | 56 | 130 | 137 | 143 | 232 | 324 | 480 | 999 | 1135 | 1337 | 1868 | 2337 | 4217 | 4326 | 4663 | 8453 | 9745 | 34443 | 42161 | 43114 | 57073 | 59144 | 81457 | 84532 | 421614 | 7777777 | 11155111 | 11155420 | 728126428 | 34268394551451Chain ID of the destination chain.
1 <= value1 | 10 | 56 | 130 | 137 | 143 | 232 | 324 | 480 | 999 | 1135 | 1337 | 1868 | 2337 | 4217 | 4326 | 4663 | 8453 | 9745 | 34443 | 42161 | 43114 | 57073 | 59144 | 81457 | 84532 | 421614 | 7777777 | 11155111 | 11155420 | 728126428 | 34268394551451Origin chain address of token contract to transfer.
Example: 0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2
Destination chain address of token contract to receive.
Example: 0x4200000000000000000000000000000000000006
Response Body
application/json
application/json
application/json
curl -X GET "https://across.to/api/available-routes?originChainId=1&destinationChainId=10&originToken=0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2&destinationToken=0x4200000000000000000000000000000000000006"[
{
"originChainId": 1,
"originToken": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
"destinationChainId": 10,
"destinationToken": "0x4200000000000000000000000000000000000006",
"originTokenSymbol": "WETH",
"destinationTokenSymbol": "WETH",
"isNative": false
},
{
"originChainId": 1,
"originToken": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
"destinationChainId": 10,
"destinationToken": "0x4200000000000000000000000000000000000006",
"originTokenSymbol": "ETH",
"destinationTokenSymbol": "ETH",
"isNative": true
}
]{
"type": "AcrossApiError",
"code": "INVALID_PARAM",
"status": 400,
"message": "Invalid parameter at path 'originToken'. Expected type 'union'",
"param": "originToken"
}{
"type": "AcrossApiError",
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "Internal server error"
}Retrieve suggested fee quote for a deposit. GET
Returns suggested fees based on `inputToken`, `outputToken`, `originChainId`, `destinationChainId`, and `amount`. Also includes transfer limits of the system and data used to compute the fees.
Retrieve current transfer limits of the system GET
Returns transfer limits for `inputToken`, `outputToken`, `originChainId`, and `destinationChainId`.